import { Cliffy, Colors } from "../deps.ts";

export default async function upgrade() {
   const res = await Cliffy.Confirm.prompt({
      message: "Are you sure you want to upgrade the denreg cli?",
      default: true,
   });

   if (res) {
      const process = Deno.run({
         cmd: [
            "deno",
            "install",
            "-A",
            "--unstable",
            "-f",
            "https://deno.hibas123.de/raw/@denreg-cli/denreg.ts",
         ],
      });

      const s = await process.status();
      if (!s) {
         console.log(Colors.red("Upgrade failed!"));
      }
   }
}
